Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface SimpleParamCoinstraint

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ParamConstraint

    public interface SimpleParamCoinstraint

extends ParamConstraint

A representation of the model object 'Simple Param Coinstraint'. [[ TODO - add documentation here ]]

The following features are supported:

- `Param`
- `Constraint`

See Also:
  `ServicedefPackage.getSimpleParamCoinstraint()`

Method Summary
`ValueConstraint` | `getConstraint()` Returns the value of the 'Constraint' containment reference
`Param` | `getParam()` Returns the value of the 'Param' reference
`void` | `setConstraint(ValueConstraint value)` Sets the value of the '`Constraint`' containment reference
`void` | `setParam(Param value)` Sets the value of the '`Param`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParam

    Param getParam()

  Returns the value of the 'Param' reference.

  If the meaning of the 'Param' reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Param' reference.
  See Also:
    `setParam(Param)`, `ServicedefPackage.getSimpleParamCoinstraint_Param()`

### setParam

    void setParam(Param value)

  Sets the value of the '`Param`' reference.

  Parameters:
    `value` - the new value of the 'Param' reference.
  See Also:
    `getParam()`

### getConstraint

    ValueConstraint getConstraint()

  Returns the value of the 'Constraint' containment reference.

  If the meaning of the 'Constraint' containment reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Constraint' containment reference.
  See Also:
    `setConstraint(ValueConstraint)`, `ServicedefPackage.getSimpleParamCoinstraint_Constraint()`

### setConstraint

    void setConstraint(ValueConstraint value)

  Sets the value of the '`Constraint`' containment reference.

  Parameters:
    `value` - the new value of the 'Constraint' containment reference.
  See Also:
    `getConstraint()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD